Package org.apache.felix.bundleplugin

# Class InstructionsPlugin

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.felix.bundleplugin.BundlePlugin
org.apache.felix.bundleplugin.InstructionsPlugin

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="instructions", requiresDependencyResolution=TEST, threadSafe=true) public class InstructionsPlugin extends BundlePlugin
Generate BND instructions for this project

## Field Summary

### Fields inherited from class org.apache.felix.bundleplugin.BundlePlugin

`artifactFactory, artifactResolver, buildContext, classifier, createDependencyReducedPom, dependencyGraphBuilder, dependencyReducedPomLocation, dumpClasspath, dumpInstructions, excludeDependencies, exportScr, localRepository, manifestLocation, mavenProjectBuilder, niceManifest, noWarningProjectTypes, packaging, project, remoteArtifactRepositories, scrLocation, session, supportedProjectTypes, unpackBundle`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`InstructionsPlugin()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`execute(Map<String,String> instructions, org.apache.felix.bundleplugin.BundlePlugin.ClassPathItem[] classpath)`

### Methods inherited from class org.apache.felix.bundleplugin.BundlePlugin

`addMavenInstructions, addMavenSourcePath, buildOSGiBundle, convertVersionToOsgi, dumpClasspath, dumpInstructions, dumpManifest, execute, getBase, getBuildDirectory, getBundleName, getClasspath, getDefaultProperties, getEmbeddableArtifacts, getFile, getInstructions, getMaven2OsgiConverter, getMavenResourcePaths, getOptionalPackages, getOSGiBuilder, getOutputDirectory, getProject, includeMavenResources, isTransitivelyOptional, mergeManifest, mergeMavenManifest, removeTagFromInstruction, reportErrors, sanitize, sanitize, setBuildDirectory, setOutputDirectory, transformDirectives, updateExcludesInDeps`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InstructionsPlugin

public InstructionsPlugin()

## Method Details

### execute

protected void execute(Map<String,String> instructions, org.apache.felix.bundleplugin.BundlePlugin.ClassPathItem[] classpath) throws org.apache.maven.plugin.MojoExecutionException

Overrides:
  `execute` in class `BundlePlugin`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`